MWAWLink Struct Reference

a link More...

`#include <libmwaw_internal.hxx>`

## Public Member Functions

| MWAWLink ()
| basic constructor
bool | addTo (librevenge::RVNGPropertyList &propList) const
| add the link property to proplist (if needed )

## Public Attributes

std::string | m_HRef
| the href field

## Detailed Description

a link

## Constructor & Destructor Documentation

## MWAWLink()

MWAWLink::MWAWLink | ( |  | ) |

inline

basic constructor

## Member Function Documentation

## addTo()

bool MWAWLink::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add the link property to proplist (if needed )

Referenced by MWAWGraphicListener::openLink(), MWAWPresentationListener::openLink(), MWAWSpreadsheetListener::openLink(), and MWAWTextListener::openLink().

## Member Data Documentation

## m_HRef

std::string MWAWLink::m_HRef

the href field

Referenced by addTo(), MWAWLink(), and Canvas5Graph::sendText().

The documentation for this struct was generated from the following files:

- libmwaw_internal.hxx
- libmwaw_internal.cxx